<link rel="stylesheet" href="{{ 'component-list-menu.css' | asset_url }}" media="print" onload="this.media='all'">
<link rel="stylesheet" href="{{ 'component-search.css' | asset_url }}" media="print" onload="this.media='all'">
<link rel="stylesheet" href="{{ 'component-menu-drawer.css' | asset_url }}" media="print" onload="this.media='all'">
<link
  rel="stylesheet"
  href="{{ 'component-cart-notification.css' | asset_url }}"
  media="print"
  onload="this.media='all'"
>
<link rel="stylesheet" href="{{ 'component-cart-items.css' | asset_url }}" media="print" onload="this.media='all'">
{%- if settings.predictive_search_enabled -%}
  <link rel="stylesheet" href="{{ 'component-price.css' | asset_url }}" media="print" onload="this.media='all'">
  <link
    rel="stylesheet"
    href="{{ 'component-loading-overlay.css' | asset_url }}"
    media="print"
    onload="this.media='all'"
  >
{%- endif -%}
{%- if section.settings.menu_type_desktop == 'mega' -%}
  <link rel="stylesheet" href="{{ 'component-mega-menu.css' | asset_url }}" media="print" onload="this.media='all'">
  <noscript>{{ 'component-mega-menu.css' | asset_url | stylesheet_tag }}</noscript>
{%- endif -%}
{%- if settings.cart_type == 'drawer' -%}
  {{ 'component-cart-drawer.css' | asset_url | stylesheet_tag }}
  {{ 'component-cart.css' | asset_url | stylesheet_tag }}
  {{ 'component-totals.css' | asset_url | stylesheet_tag }}
  {{ 'component-price.css' | asset_url | stylesheet_tag }}
  {{ 'component-discounts.css' | asset_url | stylesheet_tag }}
  {{ 'component-loading-overlay.css' | asset_url | stylesheet_tag }}
{%- endif -%}

<noscript>{{ 'component-list-menu.css' | asset_url | stylesheet_tag }}</noscript>
<noscript>{{ 'component-search.css' | asset_url | stylesheet_tag }}</noscript>
<noscript>{{ 'component-menu-drawer.css' | asset_url | stylesheet_tag }}</noscript>
<noscript>{{ 'component-cart-notification.css' | asset_url | stylesheet_tag }}</noscript>
<noscript>{{ 'component-cart-items.css' | asset_url | stylesheet_tag }}</noscript>

<script src="{{ 'details-disclosure.js' | asset_url }}" defer="defer"></script>
<script src="{{ 'details-modal.js' | asset_url }}" defer="defer"></script>
{% comment %} <script src="{{ 'cart-notification.js' | asset_url }}" defer="defer"></script> {% endcomment %}
<script src="{{ 'cart-drawer.js' | asset_url }}" defer="defer"></script>
<style>
  .section-header-wrap{
    position: fixed;
    width: 100%;
    z-index: 10;
    transform: translateY(0px);
    transition: all .2s;
  }
  #header{
    box-shadow: 0 6px 10px #00000014;
    width: 100%;
    background: white;
  }
  #MainContent{
    margin-top: 99px;
    z-index: 2;
    position: relative;
  }
  .cart_count{
    font-size: 12px;
    color: #02825c;
  }
  .section-header-wrap.scrolled{
    transform: translateY(-43px);
    transition: all .2s;
  }
  .header__heading-logo {
    max-width: {{ section.settings.logo_width }}px;
  }

  @media screen and (min-width: 999px) {
    #mobile-nav{
      display: none;
    }
  }

  .menu-drawer-container {
    display: flex;
  }

    .list-menu {
      list-style: none;
      padding: 0;
      margin: 0;
    }

    .list-menu--inline {
      display: inline-flex;
      flex-wrap: wrap;
    }

    summary.list-menu__item {
      padding-right: 2.7rem;
    }

    .list-menu__item {
      display: flex;
      align-items: center;
      line-height: calc(1 + 0.3 / var(--font-body-scale));
    }

    .list-menu__item--link {
      text-decoration: none;
      padding-bottom: 1rem;
      padding-top: 1rem;
    }
    .header__menu-item:hover span{
      text-decoration: none;
    }
    @media screen and (max-width: 1210px){

      h1.menu-desc{
        font-size: 32px;
      }
      .menu-link-wrap a{
        font-size: 12px;
      }
    }
    .list-menu__item--link {
      padding-bottom: 0.5rem;
      padding-top: 0.5rem;
    }
    .shop_now .btn{
      background: #014550;
      border: 1px solid #014550;
      color: #3cf084;
      border-radius: 44px;
      padding: 9px 14px ;
      font-weight: 500;
      letter-spacing: -0.01em;
      font-family: TWKEverett;
    }
    .header__icon {
      border: 1px solid;
      border-radius: 20px;
      width: max-content;
      padding: 0px 10px;
    }
    .header__icons{
      align-items: center;
    }
    #cart-icon-bubble, #cart-icon-bubble-mobile{
      padding: 0px 8px;
      gap: 1px;
      height: 36px;
      margin-left: 10px;
    }
    .cart-count-bubble{
      background: transparent;
      position: initial;
      color: black;
      font-size: 13px;
      border: none;
    }
    .header-menu-item{
      padding-top: 4px;
      height: 80px;
      display: flex;
      align-items: center;
      box-sizing: border-box;
      border-bottom: 4px solid transparent;

    }
    .header-menu-item:hover{
      border-color: #02825c;
    }
    .header-menu-item.has-megamenu:hover{
      border-color: transparent;
    }
    .header-menu-item:hover a{
      color: #02825c;
    }
    .header-menu-item.has-megamenu:hover a{
      color: #014550;
    }
    .header-menu-item a{
      color: #014550;
      font-size: 16px;
      font-family: revert;
      font-weight: 600;
    }
    .megamenu-btn{
      border: 1px solid #014550;
    }
    .header-menu-item .megamenu{
      background-color: white;
      border-radius: 10px;
      box-shadow: 0 6px 10px #454f5b;
      position: absolute;
      width: 90%;
      top: 100%;
      left: 50%;
      z-index: -11111;
      transform: translateX(-50%) translateY(-100%);
      transition: all .3s;
      opacity: 0;
    }
    .header-menu-item .megamenu .container{


    }
    .megamenu-wrap{
      padding: 25px 50px 69px;
    }
    .megamenu-wrap .side_menu{
      max-width:250px;
    }

    .header-menu-item.has-megamenu:hover .megamenu{
      transform: translateX(-50%) translateY(0);
      opacity: 1;
    }
    .mega-menu-item{
      padding: 0px    5px;
    }
    .megamenu .menu-title{
      font-weight: 500;
      font-size: 17px;
      margin: 0 0 16px;
      color: #014550;

    }
    .mega-menu-item img{
      border-radius: 10px;
      width: 100%;
    }
    .mega-menu-item .item-title{

      font-size: 32px;
      color:#02825c;
      font-weight: 300;
      font-family: FinancierDisplay;
      line-height: 30px;
    }
    .mega-menu-item .item-desc{
      color: #014550;
      font-size: 15px;
      font-weight: 400;
      font-family: TWKEverett;
      line-height: 20px;
      padding-top: 6px;
    }
    p.menu-title {
    font-weight: 500;
    font-size: 17px;
    }
    h1.menu-desc {
      font-size: 36px;
      color: #014550;
      font-weight: 300;
      line-height: 40px;
      margin: 0 0 16px;
      font-family: FinancierDisplay;
    }
    .menu-link-wrap {
      font-size: 15px;
      font-weight: 500;
      display: flex;
      align-items: center;
    }
    .menu-link-wrap a{
      display: flex;
      font-family: 'Assistant';
      align-items: center;
      font-size: 14px;
    }
    .menu-link-wrap svg{
      margin-left: 5px;
    }
    .megamenu-btn-wrap{
      text-align: center;
      margin-top: 45px;
    }
    .megamenu-btn{
      font-family: revert;
      font-size: 16px;
      line-height: 24px;
      font-weight: 400;
      padding: 8.5px 74px;
      background: #014550;
      color: #3cf084 !important;
      border-radius: 34px;
      letter-spacing: -.01em;
    }
    .nav-toogle-btn{
      border: none;
      background-color: transparent;
      cursor: pointer;
    }
    .nav-toogle-btn span{
      display: block;
      width: 24px;
      height: 2px;
      background: #014550;
      transition: .3s;
      opacity: 1;
      position: relative;
    }
    .nav-toogle-btn span+span{
      margin-top: 5px;
      }
    div#div-menu-drawer-container {
      margin-left: 30px;
      margin-right: 20px;
    }
    #mob-menu-close-btn{
      margin-left: 15px;
    }
    #mob-menu-close-btn svg{
      margin-left: 10px;
      width: 16px;
    }
    .list-menu.list-menu--inline{
      column-gap: 30px;
      width:100%;
      padding-right:10px;
    }
    .list-menu.list-menu--inline .header-menu-item:nth-child(3){
      margin-left: auto;
    }
    .section-header {
      margin-bottom: {{ section.settings.margin_bottom | times: 0.75 | round: 0 }}px;
    }
    .header__heading-link{
      max-width: 180px;
    }
    @media screen and (min-width: 750px) {
      .section-header {
        margin-bottom: {{ section.settings.margin_bottom }}px;
      }

    }

    @media screen and (min-width: 990px) {
      .header {
        padding-top: {{ section.settings.padding_top }}px;
        padding-bottom: {{ section.settings.padding_bottom }}px;
      }
      .header.container{
        display: flex;
        align-items: center;
        justify-content: space-between;
      }
      .header_inline-menu{
        flex-grow: 1;
        margin: 0px;
      }
      .list-menu.list-menu--inline li:nth-child(3){
        margin-left: auto;
      }
      .header__heading-link{
        display: flex;
      }
    }


    /* announcement-bar */

    .announcement-bar-wrap {
      justify-content: space-between;
      align-items: center;
      height: 40px;
    }
    .announcement-bar-wrap a{
      font-family: revert;
      font-weight: 600;
    }
    .announcement-bar-left{
      height: 100%;
    }
    a.announcement-bar-left-title {
      color: #014550;
      font-size: 15px;
      height: 100%;
      display: flex;
      align-items: center;
      border-bottom: 4px solid transparent;

    }
    .announcement-bar-left-title:hover{
      color: #02825c;
      border-bottom: 4px solid #02825c;
    }
    .announcement-bar-right{
      height: 100%;
    }
    ul.announcement-bar-right-menu {
      list-style: none;
      font-size: 15px;
      font-weight: 500;
      padding-left: 0;
      margin: 0;
      height: 100%;
    }
    li.menu-item {
      margin-left: 30px;
      position: relative;
      height: 100%;
      display: flex;
      align-items: center;
    }
    li.menu-item:hover {
      color: #02825c;
    }
    li.menu-item:hover:after {
      content: "";
      background-color: #02825c;
      content: "";
      width: 100%;
      position: absolute;
      bottom: 0;
      left: 0;
      height: 3px;
    }
    li.menu-item a {
      color: #014550;

    }

    .announcement-bar-center-title {
      color: #014550;
      font-size: 15px;
    }

    #mobile-nav{
      position: fixed;
      background-color: white;
      z-index: 50;
      height: 100%;
      width: 100%;
      transform:translateX(-100%);
      transition: all .3s;
      opacity: 0;
    }
    #mobile-nav.open{
      transform: translateX(0);
      opacity: 1;
    }
    .mobile-nav-header{
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 10px 15px;
      box-shadow: 0 4px 4px #87989b1c;
    }
    .mobile-nav-menu-wapper{
      padding: 20px;
    }
    #mobile-nav .megamenu-wrap{
      padding:20px 0px;
    }
    #mobile-nav .mega-menu-item{
      padding: 0px;
      padding-right: 15px;
    }
    li.mob-nav-item {
      width: 100%;
      padding: 8px 0;
      font-size: 28px;
      line-height: 30px;
      font-weight: 300;
      position: relative;
      color: #014550;
      cursor: pointer;
      font-family: auto;
    }
    .mob-nav-item svg{
      position: absolute;
      top: 50%;
      right: 0;
      transform: translatey(-50%) rotate(0deg);
      transition: .1s;
    }
    li.mob-nav-item.is-open svg{
      transform: translatey(-50%) rotate(180deg);
    }
    li.mob-nav-item a{
      color: #014550;
      font-family: auto;
    }
    .mog-logo{
      display: flex;
      max-width: 170px;
      align-items: center;
    }
    .mog-logo svg{
      width: 100%;
    }
    #mobile-nav .shop_now .btn{
      font-size: 14px;
    }
    #mobile-nav .megamenu{
      display: none;
    }
    .featured-megamenu{
      background-color: #f7fafb;
      padding: 20px;
    }
    @media only screen and (max-width : 1100px) {
      .header-menu-item a{
        font-size: 13px;
      }
    }
    @media only screen and (max-width : 999px) {

      .announcement-bar-right-menu a,.announcement-bar-left a{
        font-size:13px
      }
      .header{
        padding: 10px;
      }
    }
    @media only screen and (max-width : 768px) {
      .header__heading-link{
        max-width: 170px;
      }
      #mobile-nav .megamenu-list{
        flex-wrap: wrap;
      }

      #mobile-nav .mega-menu-item {
        width: 50%;
        padding: 10px;
        box-sizing: border-box;
      }
      .announcement-bar-wrap.d-flex {
        justify-content: center;
    }
    #MainContent{
      margin-top: 50px;
    }
    div#div-menu-drawer-container {
      margin-right: 5px;
    }
  }
  @media  screen and (max-width : 1000px){
    li.menu-item a,a.announcement-bar-left-title{
      font-size: 13px;
    }
  }
  
</style>

<div class="section-header-wrap">
  <section id="header">
    {% for block in section.blocks %}
      {% if block.type == 'announcement_bar' %}
        <div class="announcement-bar" style="background-color: {{ block.settings.announce_bg_color }};">
          <div class="container">
            <div class="announcement-bar-wrap d-flex" aria-label="section.header.announcement">
              <div class="announcement-bar-left hide-mobile d-flex align-item-center">
                <a href="{{ block.settings.left_link_url }}" class="announcement-bar-left-title">
                  {{ block.settings.left_link_text }}
                </a>
              </div>
              {% unless block.settings.menu == blank %}
                <div class="announcement-bar-right hide-mobile">
                  <ul class="announcement-bar-right-menu d-flex">
                    {% for item in block.settings.menu.links %}
                      <li class="menu-item">
                        <a href="{{ item.url }}">{{ item.title }}</a>
                      </li>
                    {% endfor %}
                  </ul>
                </div>
              {% endunless %}
              <div class="announcement-bar-center  hide-tablet hide-smart">
                <a href="{{ block.settings.left_link_url }}" class="announcement-bar-center-title">
                  {{ block.settings.left_link_text }}
                </a>
              </div>
            </div>
          </div>
        </div>
      {% endif %}
    {% endfor %}

    <header class="header container d-flex justify-content-between">
      <div class="log-wrap">
        <a href="{{ routes.root_url }}" class="header__heading-link link link--text focus-inset d-flex width-100">
          {%- if section.settings.logo != blank -%}
            {{ section.settings.logo }}
          {%- else -%}
            <span class="h2">{{ shop.name }}</span>
          {%- endif -%}
        </a>
      </div>
      {%- if section.settings.menu != blank -%}
        <nav class="header_inline-menu hide-smart hide-mobile">
          <ul class="list-menu list-menu--inline">
            {%- for link in section.settings.menu.links -%}
              {% assign flag = 1 %}
              {% for block in section.blocks %}
                {% if block.type == 'megamenu' %}
                  {% if link.title == block.settings.parent_text %}
                    <li class="header-menu-item has-megamenu">
                      <a href="javascript:;">
                        {{- link.title }}
                        {% liquid
                          render : "arrow-down"
                        %}
                      </a>
                      <div class="megamenu">
                        <div class="container">
                          <div class="megamenu-wrap d-flex">
                            <div class="side_menu">
                              <p class="menu-title">{{ block.settings.menu_eyebrow }}</p>
                              <h1 class="menu-desc">{{ block.settings.menu_title }}</h1>
                              {% if block.settings.menu_link_url != blank and block.settings.menu_link_text != blank %}
                                <div class="menu-link-wrap">
                                  <a href="{{ block.settings.menu_link_url }}">
                                    {{- block.settings.menu_link_text }}
                                    <svg
                                      width="16"
                                      height="16"
                                      viewBox="0 0 16 16"
                                      fill="none"
                                      xmlns="http://www.w3.org/2000/svg"
                                      aria-hidden="true"
                                      data-acsb-hidden="true"
                                      data-acsb-force-hidden="true"
                                    >
                                      <path d="M9.01999 0.394531V3.22452L12.8 6.99452H0V8.99452H12.8L9.01999 12.7745V15.6045L15.92 8.70453V7.29453L9.01999 0.394531Z" fill="#02825C"></path>
                                    </svg>
                                  </a>
                                </div>
                              {% endif %}
                            </div>
                            <div class="megamenu-container flex-order-one">
                              <div class="megamenu-list d-flex">
                                {% if block.settings.image != blank %}
                                  <div class="mega-menu-item">
                                    <div class="image-wrap">
                                      <a href="{{ block.settings.megamenu_url }}"
                                        ><img src="{{ block.settings.image |img_url: '1000x'}}" alt=""
                                      ></a>
                                    </div>
                                    <div class="text-wrap center">
                                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                                    </div>
                                  </div>
                                {% endif %}

                                {% if block.settings.image2 != blank %}
                                  <div class="mega-menu-item">
                                    <div class="image-wrap">
                                      <a
                                        href="{{ block.settings.megamenu_url2 }}"
                                      >
                                        <img
                                          src="{{ block.settings.image2 |img_url : "1000x"}}"
                                          alt=""
                                        >
                                      </a>
                                    </div>
                                    <div class="text-wrap center">
                                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                                    </div>
                                  </div>
                                {% endif %}

                                {% if block.settings.image3 != blank %}
                                  <div class="mega-menu-item">
                                    <div class="image-wrap">
                                      <a href="{{ block.settings.megamenu_url3 }}"
                                        ><img src="{{ block.settings.image3 |img_url : "1000x"}}" alt=""
                                      ></a>
                                    </div>
                                    <div class="text-wrap center">
                                      <h1 class="item-title">{{ block.settings.title_text3 }}</h1>
                                      <p class="item-desc">{{ block.settings.desc_text3 }}</p>
                                    </div>
                                  </div>
                                {% endif %}

                                {% if block.settings.image4 != blank %}
                                  <div class="mega-menu-item">
                                    <div class="image-wrap">
                                      <a href="{{ block.settings.megamenu_url4 }}"
                                        ><img src="{{ block.settings.image4 |img_url : "1000x"}}" alt=""
                                      ></a>
                                    </div>
                                    <div class="text-wrap center">
                                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                                    </div>
                                  </div>
                                {% endif %}
                              </div>
                              {% if block.settings.btn_text != blank %}
                                <div class="megamenu-btn-wrap">
                                  <a class="megamenu-btn" href="{{ block.settings.btn_url }}">
                                    {{- block.settings.btn_text -}}
                                  </a>
                                </div>
                              {% endif %}
                            </div>
                          </div>
                        </div>
                      </div>
                    </li>
                    {% assign flag = 0 %}
                  {% endif %}
                {% endif %}
              {% endfor %}
              {% if flag == 1 %}
                <li class="header-menu-item">
                  <a href="{{ link.url }}">{{ link.title }}</a>
                </li>
              {% endif %}
            {%- endfor -%}
          </ul>
        </nav>
      {%- endif -%}
      <div class="header__icons d-flex align-item-center">
        <div class="shop_now">
          <a class="btn" href="{{ section.settings.shop_url }}">
            <span class="hide-mobile">Shop all</span>
            <span class="hide-tablet hide-smart">Shop</span>
          </a>
        </div>
        <a href="{{ routes.cart_url }}" class="header__icon header__icon--cart link focus-inset" id="cart-icon-bubble">
          {%- liquid
            render 'icon-cart'
          -%}
          <span class="visually-hidden">{{ 'templates.cart.cart' | t }}</span>
          {%- if cart != empty -%}
            <div class="cart-count-bubble">
              {%- if cart.item_count < 100 -%}
                <span aria-hidden="true">{{ cart.item_count }}</span>
              {%- endif -%}
              <span class="visually-hidden">{{ 'sections.header.cart_count' | t: count: cart.item_count }}</span>
            </div>
          {%- endif -%}
        </a>
        <div id="div-menu-drawer-container" class="hide-tablet  d-flex align-item-center">
          <button class="nav-toogle-btn">
            <span></span>
            <span></span>
            <span></span>
          </button>
        </div>
      </div>
    </header>
  </section>
</div>
<div id="mobile-nav">
  <div class="mobile-nav-wrapper">
    <div class="mobile-nav-header">
      <a href="{{ routes.root_url }}" class="mog-logo">
        {%- if section.settings.logo != blank -%}
          {{ section.settings.logo }}
        {%- else -%}
          <span class="h2">{{ shop.name }}</span>
        {%- endif -%}
      </a>
      <div class="header__icons">
        <div class="shop_now">
          <a class="btn" href="#">
            <span class="hide-mobile">Shop all</span>
            <span class="hide-tablet hide-smart">Shop</span>
          </a>
        </div>
        <a
          href="/cart"
          class="header__icon header__icon--cart link focus-inset"
          id="cart-icon-bubble-mobile"
          role="button"
          aria-haspopup="dialog"
        >
          <svg width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M13.5822 0.500361C13.3498 0.494147 13.1223 0.568226 12.938 0.710085C12.7538 0.851944 12.6241 1.05294 12.5707 1.27925L12.2167 2.75602H1.09001C0.938077 2.75672 0.7882 2.79165 0.651611 2.8582C0.515022 2.92474 0.3952 3.02119 0.301001 3.1404C0.206199 3.25994 0.139685 3.39941 0.106403 3.5483C0.0731206 3.6972 0.0739295 3.8517 0.108811 4.00022L1.41364 9.49274C1.46902 9.71717 1.59966 9.91586 1.7837 10.0557C1.96774 10.1956 2.19409 10.2682 2.42516 10.2614H11.0534L11.3771 11.0505H1.73733V13.0735H3.68955C3.30838 13.2304 2.99351 13.5147 2.79861 13.8779C2.60371 14.2411 2.54089 14.6608 2.62087 15.0651C2.70085 15.4695 2.91864 15.8336 3.23713 16.0952C3.55563 16.3569 3.95511 16.5 4.36731 16.5C4.77951 16.5 5.17893 16.3569 5.49742 16.0952C5.81592 15.8336 6.03377 15.4695 6.11375 15.0651C6.19373 14.6608 6.13091 14.2411 5.93601 13.8779C5.74111 13.5147 5.42618 13.2304 5.04501 13.0735H9.91039C9.52922 13.2304 9.21435 13.5147 9.01945 13.8779C8.82455 14.2411 8.76173 14.6608 8.84171 15.0651C8.92169 15.4695 9.13948 15.8336 9.45798 16.0952C9.77647 16.3569 10.1759 16.5 10.5881 16.5C11.0003 16.5 11.3998 16.3569 11.7183 16.0952C12.0368 15.8336 12.2546 15.4695 12.3345 15.0651C12.4145 14.6608 12.3517 14.2411 12.1568 13.8779C11.9619 13.5147 11.647 13.2304 11.2658 13.0735H12.075C12.3311 13.0731 12.5831 13.0096 12.8087 12.8886C13.0343 12.7676 13.2266 12.5929 13.3686 12.3799C13.5107 12.1668 13.598 11.9221 13.6229 11.6673C13.6478 11.4125 13.6095 11.1554 13.5114 10.919L12.7831 9.16905L12.8944 8.73411L12.9753 8.35985L13.9868 4.00022L14.3307 2.54364H15.9188V0.520611L13.5822 0.500361ZM4.14474 14.7223C4.14474 14.6579 4.17034 14.5961 4.21587 14.5506C4.26139 14.505 4.32311 14.4795 4.3875 14.4795C4.45188 14.4795 4.51366 14.505 4.55919 14.5506C4.60472 14.5961 4.63031 14.6579 4.63031 14.7223C4.63031 14.9853 4.14474 14.9853 4.14474 14.7223ZM10.3656 14.7223C10.3656 14.6579 10.3912 14.5961 10.4367 14.5506C10.4822 14.505 10.544 14.4795 10.6083 14.4795C10.6727 14.4795 10.7344 14.505 10.78 14.5506C10.8255 14.5961 10.8511 14.6579 10.8511 14.7223C10.8511 14.9853 10.3656 14.9853 10.3656 14.7223ZM2.45553 4.77905H11.8019L11.023 8.06647V8.23841H3.3153L2.45553 4.77905Z" fill="#014550"></path>
          </svg>
          <span class="visually-hidden">Cart</span>
          <div class="cart-count-bubble">
            <span aria-hidden="true">{{ cart.item_count }}</span
            ><span class="visually-hidden">{{ cart.item_count }} items</span>
          </div>
        </a>
        <div id="mob-menu-close-btn" class="hide-tablet  d-flex align-item-center">
          {% render 'icon-close' %}
        </div>
      </div>
    </div>
    <div class="mobile-nav-menu-wapper">
      <ul class="mobile-nav-menu">
        {% if section.settings.menu != blank %}
          {% for item in section.settings.menu.links %}
            {% assign flag = 0 %}
            {% for block in section.blocks %}
              {% if block.type == 'megamenu' %}
                {% if block.settings.parent_text == item.title %}
                  {% assign flag = 1 %}
                  <li class="mob-nav-item has-megamenu">
                    {{- item.title }}
                    <svg width="16" height="9" viewBox="0 0 16 9" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <path d="M8.00005 6.03224L2.83419 0.826172H0L7.28648 8.17295H8.71362L16.0001 0.826172H13.1659L8.00005 6.03224Z" fill="#014550"></path>
                    </svg>
                  </li>
                  <div class="megamenu">
                    <div class="megamenu-wrap d-flex">
                      <div class="megamenu-container">
                        <div class="megamenu-list d-flex">
                          {% if block.settings.image != blank %}
                            <div class="mega-menu-item">
                              <div class="image-wrap">
                                <a href="{{ block.settings.megamenu_url }}"
                                  ><img src="{{ block.settings.image |img_url: '1000x'}}" alt=""
                                ></a>
                              </div>
                              <div class="text-wrap center">
                                <h1 class="item-title left">{{ block.settings.title_text }}</h1>
                                <p class="item-desc left">{{ block.settings.desc_text }}</p>
                              </div>
                            </div>
                          {% endif %}

                          {% if block.settings.image2 != blank %}
                            <div class="mega-menu-item">
                              <div class="image-wrap">
                                <img src="{{ block.settings.image2 |img_url : "1000x"}}" alt="">
                              </div>
                              <div class="text-wrap center">
                                <h1 class="item-title left">{{ block.settings.title_text }}</h1>
                                <p class="item-desc left">{{ block.settings.desc_text }}</p>
                              </div>
                            </div>
                          {% endif %}

                          {% if block.settings.image3 != blank %}
                            <div class="mega-menu-item">
                              <div class="image-wrap">
                                <a href="{{ block.settings.megamenu_url3 }}"
                                  ><img src="{{ block.settings.image3 |img_url : "1000x"}}" alt=""
                                ></a>
                              </div>
                              <div class="text-wrap center">
                                <h1 class="item-title left">{{ block.settings.title_text3 }}</h1>
                                <p class="item-desc left">{{ block.settings.desc_text3 }}</p>
                              </div>
                            </div>
                          {% endif %}

                          {% if block.settings.image4 != blank %}
                            <div class="mega-menu-item">
                              <div class="image-wrap">
                                <a href="{{ block.settings.megamenu_url4 }}"
                                  ><img src="{{ block.settings.image4 |img_url : "1000x"}}" alt=""
                                ></a>
                              </div>
                              <div class="text-wrap center">
                                <h1 class="item-title left">{{ block.settings.title_text }}</h1>
                                <p class="item-desc left">{{ block.settings.desc_text }}</p>
                              </div>
                            </div>
                          {% endif %}
                        </div>
                      </div>
                    </div>
                  </div>
                {% endif %}
              {% endif %}
            {% endfor %}
            {% if flag == 0 %}
              <li class="mob-nav-item">
                <a href="{{ item.url }}">{{ item.title }}</a>
              </li>
            {% endif %}
          {% endfor %}
        {% endif %}
        {% for block in section.blocks %}
          {% if block.type == 'announcement_bar' and block.settings.menu != blank %}
            {% for item in block.settings.menu.links %}
              <li class="mob-nav-item">
                <a href="{{ item.url }}">{{ item.title }}</a>
              </li>
            {% endfor %}
          {% endif %}
        {% endfor %}
      </ul>
    </div>
    {% for block in section.blocks %}
      {% if block.type == 'megamenu' %}
        <div class="featured-megamenu">
          <h4 class="featured-megamenu-title">{{ block.settings.parent_text }}</h4>
          <div class="megamenu-wrap d-flex">
            <div class="megamenu-container">
              <div class="megamenu-list d-flex">
                {% if block.settings.image != blank %}
                  <div class="mega-menu-item">
                    <div class="image-wrap">
                      <a href="{{ block.settings.megamenu_url }}"
                        ><img src="{{ block.settings.image |img_url: '1000x'}}" alt=""
                      ></a>
                    </div>
                    <div class="text-wrap center">
                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                    </div>
                  </div>
                {% endif %}

                {% if block.settings.image2 != blank %}
                  <div class="mega-menu-item">
                    <div class="image-wrap">
                      <img src="{{ block.settings.image2 |img_url : "1000x"}}" alt="">
                    </div>
                    <div class="text-wrap center">
                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                    </div>
                  </div>
                {% endif %}

                {% if block.settings.image3 != blank %}
                  <div class="mega-menu-item">
                    <div class="image-wrap">
                      <a href="{{ block.settings.megamenu_url3 }}"
                        ><img src="{{ block.settings.image3 |img_url : "1000x"}}" alt=""
                      ></a>
                    </div>
                    <div class="text-wrap center">
                      <h1 class="item-title">{{ block.settings.title_text3 }}</h1>
                      <p class="item-desc">{{ block.settings.desc_text3 }}</p>
                    </div>
                  </div>
                {% endif %}

                {% if block.settings.image4 != blank %}
                  <div class="mega-menu-item">
                    <div class="image-wrap">
                      <a href="{{ block.settings.megamenu_url4 }}"
                        ><img src="{{ block.settings.image4 |img_url : "1000x"}}" alt=""
                      ></a>
                    </div>
                    <div class="text-wrap center">
                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                    </div>
                  </div>
                {% endif %}
              </div>
            </div>
          </div>
        </div>
        {% break %}
      {% endif %}
    {% endfor %}
  </div>
</div>
{% schema %}
{
  "name": "t:sections.header.name",
  "class": "section-header",
  "settings": [
    {
      "type": "html",
      "id": "logo",
      "label": "t:sections.header.settings.logo.label"
    },
    {
      "type": "link_list",
      "id": "menu",
      "default": "main-menu",
      "label": "t:sections.header.settings.menu.label"
    },
    {
      "type": "url",
      "id": "shop_url",
      "label": "Shop button text"
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.header.settings.margin_bottom.label",
      "default": 0
    },
    {
      "type": "header",
      "content": "t:sections.all.padding.section_padding_heading"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 36,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 20
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 36,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 20
    }
  ],
  "blocks": [
    {
      "name": "t:sections.announcement-bar.name",
      "type": "announcement_bar",
      "limit": 1,
      "settings": [
        {
          "type": "color",
          "id": "announce_bg_color",
          "label": "Background Color"
        },
        {
          "type": "text",
          "id": "left_link_text",
          "label": "Left Link Text"
        },
        {
          "type": "url",
          "id": "left_link_url",
          "label": "Left Link URL"
        },
        {
          "type": "link_list",
          "id": "menu",
          "label": "menu"
        }
      ]
    },
    {
      "name": "Megamenu",
      "type": "megamenu",
      "settings": [
        {
          "type": "text",
          "id": "parent_text",
          "label": "Parent Text"
        },
        {
          "type": "text",
          "id": "menu_eyebrow",
          "label": "Eyebrow Text"
        },
        {
          "type": "text",
          "id": "menu_title",
          "label": "Title Text"
        },
        {
          "type": "text",
          "id": "menu_link_text",
          "label": "Link Text"
        },
        {
          "type": "url",
          "id": "menu_link_url",
          "label": "Link url"
        },

        {
          "type": "image_picker",
          "id": "image",
          "label": "Image"
        },
        {
          "type": "text",
          "id": "title_text",
          "label": "Title Text"
        },
        {
          "type": "text",
          "id": "desc_text",
          "label": "Description Text"
        },
        {
          "type": "url",
          "id": "megamenu_url",
          "label": "Megamenu Url"
        },
        {
          "type": "image_picker",
          "id": "image2",
          "label": "Image 2"
        },
        {
          "type": "text",
          "id": "title_text2",
          "label": "Title Text 2"
        },
        {
          "type": "text",
          "id": "desc_text2",
          "label": "Description Text 2"
        },
        {
          "type": "url",
          "id": "megamenu_url2",
          "label": "Megamenu Url 2"
        },

        {
          "type": "image_picker",
          "id": "image3",
          "label": "Image 3"
        },
        {
          "type": "text",
          "id": "title_text3",
          "label": "Title Text 3"
        },
        {
          "type": "text",
          "id": "desc_text3",
          "label": "Description Text 3"
        },
        {
          "type": "url",
          "id": "megamenu_url3",
          "label": "Megamenu Url 3"
        },

        {
          "type": "image_picker",
          "id": "image4",
          "label": "Image 4"
        },
        {
          "type": "text",
          "id": "title_text4",
          "label": "Title Text 4"
        },
        {
          "type": "text",
          "id": "desc_text4",
          "label": "Description Text 4"
        },
        {
          "type": "url",
          "id": "megamenu_url4",
          "label": "Megamenu Url 4"
        },
        {
          "type": "text",
          "id": "btn_text",
          "label": "Button text"
        },
        {
          "type": "url",
          "id": "btn_url",
          "label": "Button Url"
        }
      ]
    }
  ]
}
{% endschema %}
